<!--
SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
SPDX-License-Identifier: BSD-2-Clause
-->

# turtle-dragon - draw a dragon curve using Python turtle graphics

\[[Home][ringlet-home] | [GitLab][gitlab] | [PyPI][pypi] | [Python API][ringlet-api] | [ReadTheDocs][readthedocs]\]

## Overview

The `turtle-dragon` library provides a means to calculate the turns of
[a dragon curve][mathworld-dragon].
It also provides the `turtle-dragon` command-line tool that has three subcommands:

- `calc`: calculate the direction of a specified turn
- `run`: draw a dragon curve using Python turtle graphics
- `turns`: display the directions of the first specified number of turns

## Contact

The `turtle-dragon` library was written by [Peter Pentchev][roam].
It is developed in [a GitLab repository][gitlab].
This documentation is hosted at [Ringlet][ringlet-home] with a copy at [ReadTheDocs][readthedocs].

[roam]: mailto:roam@ringlet.net "Peter Pentchev"
[gitlab]: https://gitlab.com/ppentchev/turtle-dragon "The turtle-dragon GitLab repository"
[mathworld-dragon]: https://mathworld.wolfram.com/DragonCurve.html "The dragon curve article at Wolfram Mathworld"
[pypi]: https://pypi.org/project/turtle-dragon/ "The turtle-dragon Python Package Index page"
[readthedocs]: https://turtle-dragon.readthedocs.io/ "The turtle-dragon ReadTheDocs page"
[ringlet-api]: https://devel.ringlet.net/games/turtle-dragon/api/ "The turtle-dragon Python API at Ringlet"
[ringlet-home]: https://devel.ringlet.net/games/turtle-dragon/ "The Ringlet turtle-dragon homepage"
